Subject: Offline Message from Jwaher alowaid: I keep asking about my order and no one
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 13 Jul 2020 08:26:40 -0000

From: Jwaher alowaid <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/trackhistory/track/shipmenttrack/id/cXBRTVQxUXhvRFp5MytobkpVTnZsZz09/key/2/
Department: 

I keep asking about my order and no one is answering!!! 
Where is it !! 
100167528
I received one item where is the other items ??? And why it’s written that i have received it and I’m not!! 
This is not acceptable at all!! 

----
Zopim
https://www.zopim.com